/***************************************************************************
 *   Copyright (C) 2010 by Rico Rommel   *
 *   rico@bierrommel.de   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef OMGPS_H
#define OMGPS_H

#include <QWidget>
#include <QDBusConnection>
#include <QDBusInterface>
#include <QDBusReply>
#include <QVBoxLayout>
#include <QHBoxLayout>
#include <QGridLayout>
#include <QSystemTrayIcon>
#include <QPushButton>
#include <QLabel>
#include "omconfig.h"
#include <ominfobox.h>
#include "omusageinterface.h"
#include <omdialogbuttons.h>

/**

	@author Rico Rommel <rico@bierrommel.de>
*/
class OMGPS : public QWidget
{
Q_OBJECT
public:
    OMGPS(QWidget *parent = 0);

    ~OMGPS();
    void connectToGypsyPositionInterface();


protected:
    QString IconBasePath;
    QSystemTrayIcon * SysTrayIcon;
    QString activeIconFile;
    QString  inactiveIconFile;
    QIcon activeIcon;
    QIcon inactiveIcon;
    QDBusConnection * GPSInterface;
    QVBoxLayout * MainLayout;
    QHBoxLayout * ActivateLayout;
    QPushButton * ActivateButton;
    QPushButton * DeactivateButton;
    OMUsageInterface * UsageInterface;
    QDBusConnection * dbuscon;
    QDBusInterface * GypsyInterface;
    QDBusConnection *systemBus;
    OMInfoBox * DeviceBox;
    OMInfoBox * PositionBox;
    QDBusInterface * GypsyPositionInterface;
    OMConfig * Configuration;
    QString StatusPanelName;
    QString FixPanelName;
    QString LatPanelName;
    QString LongPanelName;
    QString AltPanelName;
    QStringList FixString;
    OMDialogButtons * DialogButtons;

protected slots:
    void iconActivated(QSystemTrayIcon::ActivationReason);
    void ActivateButtonclicked();
    void ResourceChanged(QString, bool);
    void DeactivateButtonclicked();
    void connectToUsageInterface();
    void FixStatusChanged(int i);
    void PositionChanged(int field, int tstamp ,double lat ,double lgt, double alt);
    void connectToGypsyInterface();
    void DialogButtonClicked(QFlags<OMFlags::Flag> button);

public slots:

};

#endif
