/***************************************************************************
 *   Copyright (C) 2010 by Rico Rommel   *
 *   rico@bierrommel.de   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#include "omdialogbuttons.h"

OMDialogButtons::OMDialogButtons(QFlags<OMFlags::Flag> flags, QWidget *parent)
 : QFrame(parent)
{
	HLayout = new QHBoxLayout();

	if ( flags.testFlag(OMFlags::ConfigButton) ) {
		ConfigButton = new QPushButton(QObject::tr("configure"));
		HLayout->addWidget(ConfigButton);
		connect(ConfigButton,SIGNAL(clicked()),this,SLOT(ConfigButtonclicked()));
		}
		

	if ( flags.testFlag(OMFlags::CloseButton) ) {
		CloseButton = new QPushButton(QObject::tr("close"));
		HLayout->addWidget(CloseButton);
		connect(CloseButton,SIGNAL(clicked()),this,SLOT(CloseButtonclicked()));
		}


	if ( flags.testFlag(OMFlags::QuitButton) ) {
		QuitButton = new QPushButton(QObject::tr("quit"));
		HLayout->addWidget(QuitButton);
		connect(QuitButton,SIGNAL(clicked()),this,SLOT(QuitButtonclicked()));
		}

	setLayout(HLayout);
}


OMDialogButtons::~OMDialogButtons()
{
}



void OMDialogButtons::ConfigButtonclicked()
{
    emit clicked( OMFlags::ConfigButton );
}


void OMDialogButtons::CloseButtonclicked()
{
    emit clicked( OMFlags::CloseButton );
}


void OMDialogButtons::QuitButtonclicked()
{
    emit clicked( OMFlags::QuitButton );
}