/***************************************************************************
 *   Copyright (C) 2010 by Rico Rommel   *
 *   rico@bierrommel.de   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef OMSCRIPTWIDGET_H
#define OMSCRIPTWIDGET_H

#include <QWidget>
#include <QHBoxLayout>
#include <QLineEdit>
#include <QSettings>
#include "omcheckbutton.h"

/**
	@author Rico Rommel <rico@bierrommel.de>
*/
class OMScriptWidget : public QWidget
{
Q_OBJECT
public:
    OMScriptWidget(QString name, QSettings *settings, QWidget *parent = 0);

    ~OMScriptWidget();
    void loadSettings();
    void saveSettings();
    QString script();

protected:
    QHBoxLayout *  MainLayout;
    OMCheckButton * CheckButton;
    QLineEdit * LineEdit;
    QString  ScriptName;
    QSettings * Settings;
protected slots:
    void stateChanged(bool newstate);
};

#endif
