/***************************************************************************
 *   Copyright (C) 2010 by Rico Rommel   *
 *   rico@bierrommel.de   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef OMSHUTDOWNMENU_H
#define OMSHUTDOWNMENU_H

#include <QWidget>
#include <QSystemTrayIcon>
#include <QDBusInterface>
#include <QDBusConnection>
#include <QPushButton>
#include <QVBoxLayout>
#include "omusageinterface.h"
/**
	@author Rico Rommel <rico@bierrommel.de>
*/
class OMShutdownMenu : public QWidget
{
Q_OBJECT
public:
    OMShutdownMenu(QWidget *parent = 0);

    ~OMShutdownMenu();

protected:
    QSystemTrayIcon * SysTrayIcon;
    OMUsageInterface * UsageInterface;
    QDBusInterface * InputInterface;
    QDBusConnection * systemBus;
    QPushButton * CloseButton;
    QPushButton * QuitButton;
    QPushButton * SuspendButton;
    QPushButton * RestartButton;
    QPushButton * ShutdownButton;
    QVBoxLayout * MainLayout;

protected slots:
    void iconActivated(QSystemTrayIcon::ActivationReason);
    void QuitButtonclicked();
    void CloseButtonclicked();
    void RestartButtonclicked();
    void SuspendButtonclicked();
    void ShutdownButtonclicked();
public slots:
    void InputEvent(QString name, QString action, int sec);
};

#endif
